Subject: Re: Copy of invoice needed
From: "Michael B" <[email-masked]>
To: "Lykesha Allen" <[email-masked]>
Date: Thu, 11 Sep 2014 16:14:49 -0400

Hello Lykesha.
I appreciate you sending that so quickly.  Could you please call me ASAP as I am needing you all to run some NLRA posters for me. 
Thank you,
Michael B
LLPS

From: Lykesha Allen 
Sent: Thursday, September 11, 2014 3:29 PM
To: Michael B 
Subject: RE: Copy of invoice needed

Mike,

The invoice is attached, please let me know if you need anything else.

Thank  you and have a great day!

 

Lykesha Allen

Customer Service/Sales

BRD Printing Incorporated

912 West Saint Joseph

Lansing, MI 48915

Ph. 517.908.4288

Fx. 517.372.4922

e. [email-masked]

w. www.brdprinting.com

ASI #185006

Breathtaking Quality     Responsive Service     Dependable Delivery - BRD Printing Incorporated, it's all in the name!

From: Michael B [mailto:[email-masked]] 
Sent: Thursday, September 11, 2014 2:35 PM
To: Lykesha Allen
Subject: Copy of invoice needed

Hello Lykesha.

I need your help locating an older invoice.  BRD had done a test mailing for us in August of 2012 for Corporate Records Service in the state of Washington (about 5000 pieces).  I need the copy of the corresponding invoice for this mailing.  Could you please send me over a copy of that invoice?  Let me know.

Thank you,
Michael B
LLPS